/*
 * @Description:
 * @Version: 2.0
 * @Autor: shimnx
 * @Date: 2021-10-21 11:13:46
 * @LastEditors: shimnx
 * @LastEditTime: 2023-02-07 13:31:26
 */
/**
 * Status Column implementation file
 */

// Bryntum umd lite bundle comes without polyfills to support Angular's zone.js
import { Column, ColumnStore } from '@bryntum/gantt/gantt.lite.umd.js';

/**
 * @module GroupColumn
 */

/**
 * A column showing the status of a task
 *
 * @extends Gantt/column/Column
 * @classType GroupColumn
 */
export default class GroupColumn extends Column {

    static get $name() {
        return 'GroupColumn';
    }

    static get type() {
        return 'GroupColumn';
    }

    static get isGanttColumn() {
        return true;
    }

    static get defaults() {
        return {
            // Set your default instance config properties here
            field: 'GroupId',
            text: 'Group',
            cellCls: 'b-status-column-cell',
            htmlEncode: false,
            // field      : 'status',
            // text       : 'Status',
            editor: {
                valueField: 'id',
                type: 'dropdown',
                items: []
            },
        };
    }

    //endregion

    renderer({ record,column }) {
        let status = ''
        let arr =localStorage.getItem('data')? JSON.parse(localStorage.getItem('data')) :[]
        console.log(record.GroupId)
        arr.forEach(item => {
            console.log(item.id == record.GroupId)
            if (item.id == record.GroupId) {
                status = item.text+'1'
                console.log(status)

            }
        })
        console.log(status)
        return status ? {
            // tag       : 'i',
            className: `${status}`,
            html: status
        } : '';

    }

}

ColumnStore.registerColumnType(GroupColumn);
