/*
 * @Description:
 * @Version: 2.0
 * @Autor: shimnx
 * @Date: 2021-10-21 11:13:46
 * @LastEditors: shimnx
 * @LastEditTime: 2022-11-18 09:53:46
 */
/**
 * Status Column implementation file
 */

// Bryntum umd lite bundle comes without polyfills to support Angular's zone.js
import { Column, ColumnStore } from '@bryntum/gantt/gantt.lite.umd.js';

/**
 * @module PrioColumn
 */

/**
 * A column showing the status of a task
 *
 * @extends Gantt/column/Column
 * @classType PrioColumn
 */
export default class PrioColumn extends Column {

    static get $name() {
        return 'PrioColumn';
    }

    static get type() {
        return 'PrioColumn';
    }

    static get isGanttColumn() {
        return true;
    }

    static get defaults() {
        return {
            // Set your default instance config properties here
            field      : 'PriorityName',
            text       : 'Priority',
            cellCls    : 'b-status-column-cell',
            htmlEncode : false,
            // field      : 'status',
            // text       : 'Status',
            editor     : false,
            // cellCls    : 'b-status-column-cell',
            // htmlEncode : false,
            // filterable : {
            //     filterField : {
            //         type  : 'combo',
            //         items : ['Not Started', 'Started', 'Completed', 'Late']
            //     }
            // }
        };
    }

    //endregion

    renderer({ record }) {
        const status = record.PriorityName;

        return status ? {
            // tag       : 'i',
            className : `${status}`,
            html      : status
        } : '';
    }

}

ColumnStore.registerColumnType(PrioColumn);
